#include <bits/stdc++.h>
using namespace std;
int main(){
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int X,Y;
    cin >> X >> Y;
    int broj=1, m=0;
    while(X>0 || Y>0){
        int x=-1, y=-1;
        if(X>0){
            x=X%10;
            X/=10;
        }
        if(Y>0){
            y=Y%10;
            Y/=10;
        }

        if(x>y){
            m+=x*broj;
        }
        else if(y>x){
            m+=y*broj;
        }
        else if(x!=-1 && y!=-1){
            m+=x*broj;
            broj*=10;
            m+=y*broj;
        }
        broj*=10;
    }
    cout << m;
    return 0;
}